<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-tip-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/datepicker.js"></script>

<script type="text/javascript" src="/js/mootabs1.2.js"></script>
<script type="text/javascript" src="/js/password-meter.js"></script>

<script type="text/javascript" src="/js/autocompleter/Observer.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.js"></script>
<script type="text/javascript" src="/js/autocompleter/Autocompleter.Request.js"></script>

<script type="text/javascript" src="/js/fancyupload/Swiff.Uploader.js"></script>
<script type="text/javascript" src="/js/fancyupload/Fx.ProgressBar.js"></script>
<script type="text/javascript" src="/js/fancyupload/FancyUpload2.js"></script>

<script type="text/javascript" src="/js/escort-rates.js"></script>
<script type="text/javascript" src="/js/cubix-selectbox.js"></script>

<script type="text/javascript" src="/js/cubix-uploader-v1.0.source.js"></script>
<script type="text/javascript" src="/js/moo-uploader.js"></script>
<? $this->headLink()->prependStylesheet($this->baseUrl() . '/css/moo-uploader/style.css') ?>

<script type="text/javascript" src="/js/escort-photos.js?v=2"></script>

<style type="text/css">
	@import url('/css/Autocompleter.css');
</style>

<?php echo $this->headLink()->prependStylesheet($this->baseUrl() . '/css/passwordmeter.css') ?>


<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};	
	
	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		id: 'journal',
		identifier: { field: 'id' },
		preload: false,
		header: [
			{ title: 'Escort ID', field: 'escort_id', type: 'number', sortable: false, width: '10px' },
			{ title: 'Showname', field: 'showname', type: 'EscortLink2', sortable: false, width: '80px'},
			{ title: 'Sales Person', field: 'bu_username', type: 'string', sortable: false, width: '40px'},
			{ title: 'Event Date', field: 'event_date', type: 'DateTime', sortable: false, width: '50px'},
			//{ title: 'Event Type', field: 'event_type', type: 'number', sortable: false, width: '80px'},
			{ title: 'Comment', field: 'comment', type: 'string', sortable: false, width: '110px' },
			{ title: 'Data', field: 'data', type: 'string', sortable: false, width: '110px' },
			/*{ title: '', field: 'status', type: 'IssueStatus', sortable: false },
			{ title: '', field: 'app_title', type: 'ApplicationFlag', sortable: true, width: '1px' }*/
		],
		sort: {
			field: 'j.date',
			dir: 'desc'
		},
		actions: [ /*{ type: 'remove', func: function (data) {
			if ( confirm('Are you sure you want to delete this row?') ) {
				this.overlay.disable();
				new Request({
					url: '/issues/remove?id=' + data.id,
					onSuccess: function (resp) {
						this.overlay.enable();
						grid.load();
					}.bind(this)
				}).send();
			}
		} }*/ ],
		data: new Cubix.Grid.Loader({ url: '/journal/data', params: getFilterParams })
	});
		
	grid.addEvent('loaded', function () {
		$$('.escort-showname').addEvent('click', function(e){
			e.stop();
		});
	});

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

	var clearForm = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');
			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.set('value', '');
				}
				else {
					input.set('checked', '');
				}
			}
		});

		var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(select) {
			select.set('value', '');
		});
	};

	new Cubix.Button($('btn-reset'), { onClick: function () {
		clearForm();
		grid.load();
	}, icon: 'undo', caption: 'Reset Form', classes: 'ml20' });

	var initFormSubmit = function() {
		var inputs = $$('.c-filter-form')[0].getElements('input');

		inputs.each(function(input) {
			var input_type = input.get('type');

			if ( input_type != 'hidden' ) {
				if ( input_type == 'text' ) {
					input.addEvent('keyup', function(event) {
						if( event.key == 'enter' ) {
							grid.load();
						}
					});
				}
				else {
					input.addEvent('change', function(){
						grid.load();
					});
				}
			}
		});

		/*var selects = $$('.c-filter-form')[0].getElements('select');

		selects.each(function(it) {
			if ( it.get('name') != 'filter_by' && it.get('name') != 'dates_defined' ) {
				it.addEvent('change', function(){
					grid.load();
				});
			}
		});*/
	};
	
	/**/
	var date_from_picker = $('filter-form').getElement('.f-date-from');
	var date_from =	new Picker.Date(date_from_picker, { pickerClass: 'datepicker',
		positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
	var date_to_picker = $('filter-form').getElement('.f-date-to');
	var date_to = new Picker.Date(date_to_picker, { pickerClass: 'datepicker',
		positionOffset: { x: -10, y: 0 }, allowEmpty: true, format: 'd M Y' });
	/**/

	initFormSubmit();
};
</script>
<? $user = Zend_Auth::getInstance()->getIdentity(); ?>
<div class="form-common gray c-filter-form">
	<form id="filter-form">
		<fieldset class="inner mb10">
			<legend>Personal</legend>

			<div class="inner">
				<label for="f-backup-table">Backup Tables</label>
				<select name="backup_table" id="f-backup-table" class="w25">
					<? foreach ( $this->backup_tables as $table ): ?>
						<? if ( $table->Name == 'journal_agency' ): ?>
							<? continue; ?>
						<? endif; ?>
						<option value="<?= $table->Name ?>" <?= ($this->filter_params['backup_table'] == $table->Name) ? 'selected="selected"' : '' ?> ><?= $table->Name ?></option>
					<? endforeach; ?>
				</select>
			</div>

			<div class="clear"></div>

			<div class="inner">
				<label for="showname">Showname</label>
				<input id="showname" type="text" class="txt w12" name="showname" value="<?= $this->filter_params['showname'] ?>" />
			</div>
			
			<div class="inner">
				<label for="escort_id">Escort ID</label>
				<input id="escort_id" type="text" class="txt w8" name="escort_id" value="<?= $this->filter_params['escort_id'] ?>" />
			</div>
			
			<div class="clear"></div>

			<div class="inner">
				<label for="username">Username</label>
				<input id="username" type="text" class="txt w12" name="username" value="<?= $this->filter_params['username'] ?>" />
			</div>
			
			<? if ( $user->type != 'sales manager' && $user->type != 'sales clerk' ): ?>
			<div class="inner">
				<label for="f-sales-person">Sales Person</label>
				<select name="sales_user_id" id="f-sales-person" class="w10" <? /*onchange="Cubix.Grid.get('journal').load()"*/?>>
					<option value=""> - any - </option>
					<? $model = new Model_Moderators(); foreach ( $model->getByApplicationId($this->request()->application_id) as $sales ): ?>
					<option value="<?= $sales->id ?>" <?= ($this->filter_params['sales_user_id'] == $sales->id) ? 'selected="selected"' : '' ?> ><?= $sales->username ?></option>
					<? endforeach; ?>
				</select>
			</div>			
			<? endif; ?>
			
			<div class="clear"></div>
		</fieldset>
	
		
		<fieldset class="inner mb10">
			<legend>Status</legend>
			<?php $DEFINITIONS = Zend_Registry::get('defines');?>
			<div class="inner">
				<label for="f-application">Application</label>
				<select name="app_id" class="w14" <? /*onchange="Cubix.Grid.get('journal').load()"*/?>>
					<option value="">- all applications -&nbsp;&nbsp;</option>
					<? foreach ( Cubix_Application::getAll() as $app ): ?>
					<option value="<?= $app->id ?>"><?= $app->title ?>&nbsp;&nbsp;</option>
					<? endforeach ?>
				</select>
			</div>
			
			<div class="inner">
				<label for="f-event_type">Event Type</label>
				<select name="event_type" class="txt w18" <? /*onchange="Cubix.Grid.get('journal').load()"*/?>>
					<option value="">- any -</option>
					
					<? foreach( Cubix_SyncNotifier::$_events as $id => $event_type ): ?>
					
						<? if( $id != Cubix_SyncNotifier::EVENT_ESCORT_PHONE_CHANGED || $user->type == 'superadmin' || $user->type == 'admin' ) :?>
							<option value="<?= $id ?>"><?= $event_type ?></option>
						<? endif;?>
							
					<? endforeach; ?>
				</select>
			</div>
		</fieldset>
		
		<fieldset class="inner mb10">
			<legend>Date</legend>
			
			<div class="inner">
				<label>
					<span>From</span>
				</label>
				<input id="f-date-from" type="text" class="txt w128 f-date-from" name="date_from" value="" />
			</div>

			<div class="inner" style="padding-top: 25px">
				<span> - </span>
			</div>

			<div class="inner">
				<label>
					<span>To</span>
				</label>
				<input id="f-date-to" type="text" class="txt w128 f-date-to" name="date_to" value="" />
			</div>
			<div class="clear"></div>
		</fieldset>
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
		<a id="btn-reset"></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div class="clear"></div>

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
